Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Class TEventInfoList.Factory

    java.lang.Object
      org.apache.ode.bpel.pmapi.TEventInfoList.Factory

Enclosing interface:
  TEventInfoList

    public static final class TEventInfoList.Factory

extends java.lang.Object

A factory class with static methods for creating instances of this type.

Method Summary
`static TEventInfoList` | `newInstance()`
`static TEventInfoList` | `newInstance(org.apache.xmlbeans.XmlOptions options)`
`static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. `XMLInputStream`
`static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis, org.apache.xmlbeans.XmlOptions options)` Deprecated. `XMLInputStream`
`static TEventInfoList` | `parse(java.io.File file)`
`static TEventInfoList` | `parse(java.io.File file, org.apache.xmlbeans.XmlOptions options)`
`static TEventInfoList` | `parse(java.io.InputStream is)`
`static TEventInfoList` | `parse(java.io.InputStream is, org.apache.xmlbeans.XmlOptions options)`
`static TEventInfoList` | `parse(org.w3c.dom.Node node)`
`static TEventInfoList` | `parse(org.w3c.dom.Node node, org.apache.xmlbeans.XmlOptions options)`
`static TEventInfoList` | `parse(java.io.Reader r)`
`static TEventInfoList` | `parse(java.io.Reader r, org.apache.xmlbeans.XmlOptions options)`
`static TEventInfoList` | `parse(java.lang.String xmlAsString)`
`static TEventInfoList` | `parse(java.lang.String xmlAsString, org.apache.xmlbeans.XmlOptions options)`
`static TEventInfoList` | `parse(java.net.URL u)`
`static TEventInfoList` | `parse(java.net.URL u, org.apache.xmlbeans.XmlOptions options)`
`static TEventInfoList` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. `XMLInputStream`
`static TEventInfoList` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis, org.apache.xmlbeans.XmlOptions options)` Deprecated. `XMLInputStream`
`static TEventInfoList` | `parse(javax.xml.stream.XMLStreamReader sr)`
`static TEventInfoList` | `parse(javax.xml.stream.XMLStreamReader sr, org.apache.xmlbeans.XmlOptions options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static TEventInfoList newInstance()

### newInstance

    public static TEventInfoList newInstance(org.apache.xmlbeans.XmlOptions options)

### parse

    public static TEventInfoList parse(java.lang.String xmlAsString)
                                throws org.apache.xmlbeans.XmlException

  Parameters:
    `xmlAsString` - the string value to parse
  Throws:
    `org.apache.xmlbeans.XmlException`

### parse

    public static TEventInfoList parse(java.lang.String xmlAsString,
                                       org.apache.xmlbeans.XmlOptions options)
                                throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### parse

    public static TEventInfoList parse(java.io.File file)
                                throws org.apache.xmlbeans.XmlException,
                                       java.io.IOException

  Parameters:
    `file` - the file from which to load an xml document
  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static TEventInfoList parse(java.io.File file,
                                       org.apache.xmlbeans.XmlOptions options)
                                throws org.apache.xmlbeans.XmlException,
                                       java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static TEventInfoList parse(java.net.URL u)
                                throws org.apache.xmlbeans.XmlException,
                                       java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static TEventInfoList parse(java.net.URL u,
                                       org.apache.xmlbeans.XmlOptions options)
                                throws org.apache.xmlbeans.XmlException,
                                       java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static TEventInfoList parse(java.io.InputStream is)
                                throws org.apache.xmlbeans.XmlException,
                                       java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static TEventInfoList parse(java.io.InputStream is,
                                       org.apache.xmlbeans.XmlOptions options)
                                throws org.apache.xmlbeans.XmlException,
                                       java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static TEventInfoList parse(java.io.Reader r)
                                throws org.apache.xmlbeans.XmlException,
                                       java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static TEventInfoList parse(java.io.Reader r,
                                       org.apache.xmlbeans.XmlOptions options)
                                throws org.apache.xmlbeans.XmlException,
                                       java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static TEventInfoList parse(javax.xml.stream.XMLStreamReader sr)
                                throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### parse

    public static TEventInfoList parse(javax.xml.stream.XMLStreamReader sr,
                                       org.apache.xmlbeans.XmlOptions options)
                                throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### parse

    public static TEventInfoList parse(org.w3c.dom.Node node)
                                throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### parse

    public static TEventInfoList parse(org.w3c.dom.Node node,
                                       org.apache.xmlbeans.XmlOptions options)
                                throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### parse

    public static TEventInfoList parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                throws org.apache.xmlbeans.XmlException,
                                       org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. `XMLInputStream`

  Throws:
    `org.apache.xmlbeans.XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### parse

    public static TEventInfoList parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                       org.apache.xmlbeans.XmlOptions options)
                                throws org.apache.xmlbeans.XmlException,
                                       org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. `XMLInputStream`

  Throws:
    `org.apache.xmlbeans.XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### newValidatingXMLInputStream

    public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                                                                     throws org.apache.xmlbeans.XmlException,
                                                                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. `XMLInputStream`

  Throws:
    `org.apache.xmlbeans.XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### newValidatingXMLInputStream

    public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                                                                            org.apache.xmlbeans.XmlOptions options)
                                                                                     throws org.apache.xmlbeans.XmlException,
                                                                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. `XMLInputStream`

  Throws:
    `org.apache.xmlbeans.XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD